Commit 92a9e8c1 authored by Johan Dahlin's avatar Johan Dahlin

configure.ac: AC_SUBST GStreamer and PyGTK flags

Original commit message from CVS:
* configure.ac: PyGtk 1.99.14 should be okay (Shipped with RH9),
AC_SUBST GStreamer and PyGTK flags
parent 248280f8
2004-03-12 Johan Dahlin <johan@gnome.org>
* configure.ac: PyGtk 1.99.14 should be okay (Shipped with RH9),
AC_SUBST GStreamer and PyGTK flags
* Makefile.am (PLAYDIR): Disable for now
* configure.ac: Build against 0.8
......
......@@ -53,6 +53,8 @@ dnl check for GStreamer
GST_MAJORMINOR=0.8
PKG_CHECK_MODULES(GST, gstreamer-$GST_MAJORMINOR >= $GST_REQ,
HAVE_GSTREAMER=yes,HAVE_GSTREAMER=no)
AC_SUBST(GST_CFLAGS)
AC_SUBST(GST_LDFLAGS)
dnl Give error and exit if we don't have GStreamer
if test "x$HAVE_GSTREAMER" = "xno"; then
......@@ -62,6 +64,7 @@ AC_SUBST(GST_MAJORMINOR)
dnl check for pygtk
PKG_CHECK_MODULES(PYGTK, pygtk-2.0 >= $PYGTK_REQ)
AC_SUBST(PYGTK_CFLAGS)
AC_MSG_CHECKING(for pygtk defs)
PYGTK_DEFSDIR=`$PKG_CONFIG --variable=defsdir pygtk-2.0`
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment